sru cloud-init (18.4.0 update to 18.5-21-g8ee294d5) Xenial, Bionic, Cosmic

Bug #1813346 reported by Chad Smith on 2019-01-25
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
cloud-init (Ubuntu)
Undecided
Chad Smith
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

== Begin SRU Template ==
[Impact]
This release sports both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these
improvements. The notable ones are:

    - opennebula: incremental updates to exclude EPOCH* bash 5.0 env variables
    - lxd: install zfs-linux instead of zfs meta package
    - cc_set_passwords: Fix regex when parsing hashed passwords
    - net: Wait for dhclient to daemonize before reading lease file
    - [Azure] Increase retries when talking to Wireserver during metadata walk
    - ds-identify: fix wrong variable name in ovf_vmware_transport_guestinfo.
    - OVF: simplify expected return values of transport functions.
    - Vmware: Add support for the com.vmware.guestInfo OVF transport.

    - net: render 'metric' values in per-subnet routes
    - NoCloud: Allow top level 'network' key in network-config.
    - ovf: Fix ovf network config generation gateway/routes
    - azure: detect vnet migration via netlink media change event
    - OVF: identify label iso9660 filesystems with label 'OVF ENV'.
    - net: Ephemeral*Network: add connectivity check via URL
    - azure: _poll_imds only retry on 404. Fail on Timeout
    - azure: Accept variation in error msg from mount for ntfs volumes
    - azure: fix regression introduced when persisting ephemeral dhcp lease
    - azure: add udev rules to create cloud-init Gen2 disk name symlinks
    - azure: remove /etc/netplan/90-hotplug-azure.yaml when net from IMDS
    - azure: report ready to fabric after reprovision and reduce logging
    - instance-data: fallback to instance-data.json if sensitive is absent.
    - azure: Add apply_network_config option to disable network from IMDS
    - instance-data: Add standard keys platform and subplatform. Refactor ec2.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/CloudinitUpdates

The cloud-init team will be in charge of attaching the artifacts and
console output of the appropriate run to the bug. cloud-init team
members will not mark ‘verification-done’ until this has happened.

* Automated Test Results
DONE: attach automated cloud-init-proposed test artifacts
sru-artifact-lxd-artful sru-artifact-lxc-xenial
DONE: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts
sru-artifact-kvm-artful sru-artifact-kvm-xenial
DONE: attach Solutions Testing team test results for each LTS
sru-artifact-solutions-qa-xenial
DONE: attach MAAS Team test results for each LTS
sru-artifact-maas-xenial

* Manual Test Results
DONE: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource
sru-artifact-manual-ec2
DONE: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource
sru-artifact-manual-gce
DONE: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource
sru-artifact-manual-azure

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned integration tests are attached to this bug.

[Discussion]

== End SRU Template ==

== Changelog ==
18.5-21
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

18.5-17

    - opennebula: exclude EPOCHREALTIME as known bash env variable with a
      delta
    - tox: fix disco httpretty dependencies for py37

    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers]
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions]
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.
    - ds-identify: fix wrong variable name in ovf_vmware_transport_guestinfo.
    - Scaleway: Support ssh keys provided inside an instance tag. [PORTE Loïc]
    - OVF: simplify expected return values of transport functions.
    - Vmware: Add support for the com.vmware.guestInfo OVF transport.
    - HACKING.rst: change contact info to Josh Powers
    - Update to pylint 2.2.2.
    - Release 18.5
    - tests: add Disco release [Joshua Powers]
    - net: render 'metric' values in per-subnet routes
    - write_files: add support for appending to files. [James Baxter]
    - config: On ubuntu select cloud archive mirrors for armel, armhf, arm64.
    - dhclient-hook: cleanups, tests and fix a bug on 'down' event.
    - NoCloud: Allow top level 'network' key in network-config.
    - ovf: Fix ovf network config generation gateway/routes
    - azure: detect vnet migration via netlink media change event
      [Tamilmani Manoharan]
    - Azure: fix copy/paste error in error handling when reading azure ovf.
      [Adam DePue]
    - tests: fix incorrect order of mocks in test_handle_zfs_root.
    - doc: Change dns_nameserver property to dns_nameservers. [Tomer Cohen]
    - OVF: identify label iso9660 filesystems with label 'OVF ENV'.
    - logs: collect-logs ignore instance-data-sensitive.json on non-root user
    - net: Ephemeral*Network: add connectivity check via URL
    - azure: _poll_imds only retry on 404. Fail on Timeout
    - resizefs: Prefix discovered devpath with '/dev/' when path does not
      exist [Igor Galić]
    - azure: retry imds polling on requests.Timeout
    - azure: Accept variation in error msg from mount for ntfs volumes
      [Jason Zions]
    - azure: fix regression introduced when persisting ephemeral dhcp lease
      [Aswin Rajamannar]
    - azure: add udev rules to create cloud-init Gen2 disk name symlinks
    - tests: ec2 mock missing httpretty user-data and instance-identity routes
    - azure: remove /etc/netplan/90-hotplug-azure.yaml when net from IMDS
    - azure: report ready to fabric after reprovision and reduce logging
      [Aswin Rajamannar]
    - query: better error when missing read permission on instance-data
    - instance-data: fallback to instance-data.json if sensitive is absent.
    - docs: remove colon from network v1 config example. [Tomer Cohen]
    - Add cloud-id binary to packages for SUSE [Jason Zions]
    - systemd: On SUSE ensure cloud-init.service runs before wicked
      [Robert Schweikert]
    - update detection of openSUSE variants [Robert Schweikert]
    - azure: Add apply_network_config option to disable network from IMDS
    - Correct spelling in an error message (udevadm). [Katie McLaughlin]
    - tests: meta_data key changed to meta-data in ec2 instance-data.json
    - tests: fix kvm integration test to assert flexible config-disk path
    - tools: Add cloud-id command line utility
    - instance-data: Add standard keys platform and subplatform. Refactor ec2.
    - net: ignore nics that have "zero" mac address.
    - tests: fix apt_configure_primary to be more flexible
    - Ubuntu: update sources.list to comment out deb-src entries.

Chad Smith (chad.smith) on 2019-01-25
description: updated
Chad Smith (chad.smith) on 2019-01-26
summary: - sru cloud-init (18.4.0 update to 18.5-15-g7a469659) Xenial, Bionic,
+ sru cloud-init (18.4.0 update to 18.5-17-gd1a2fe73) Xenial, Bionic,
Cosmic
description: updated
Chad Smith (chad.smith) on 2019-01-26
Changed in cloud-init (Ubuntu):
assignee: nobody → Chad Smith (chad.smith)
Chad Smith (chad.smith) on 2019-01-29
summary: - sru cloud-init (18.4.0 update to 18.5-17-gd1a2fe73) Xenial, Bionic,
+ sru cloud-init (18.4.0 update to 18.5-21-g8ee294d5) Xenial, Bionic,
Cosmic
description: updated
description: updated

Hello Chad, or anyone else affected,

Accepted cloud-init into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-21-g8ee294d5-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Chad, or anyone else affected,

Accepted cloud-init into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-21-g8ee294d5-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Chad, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-21-g8ee294d5-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Marlin Cremers (marlinc) wrote :

I can confirm that bug https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1811446 has been fixed in Cloud-Init version 18.5-21-g8ee294d5-0ubuntu1~16.04.1 on Bionic and Xenial:

Bionic:

root@cloud-init-bug:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic

root@cloud-init-bug:~# cloud-init --version
/usr/bin/cloud-init 18.5-21-g8ee294d5-0ubuntu1~18.04.1

root@cloud-init-bug:~# grep 'hashed' /var/log/cloud-init.log
2019-02-13 16:58:33,387 - cc_set_passwords.py[DEBUG]: Setting hashed password for ['root']:

root@cloud-init-bug:~# cat /etc/shadow | grep root
root:$2y$10$dNEtJjlezvPjRbbJMZ5c1.L9dQ6TvyF8RnEbh42E9MkQwrLlXgsmG:17940:0:99999:7:::

Xenial:
root@cloud-init-bug:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.5 LTS
Release: 16.04
Codename: xenial

root@cloud-init-bug:~# cloud-init --version
/usr/bin/cloud-init 18.5-21-g8ee294d5-0ubuntu1~16.04.1

root@cloud-init-bug:~# grep 'hashed' /var/log/cloud-init.log
2019-02-13 17:03:28,248 - cc_set_passwords.py[DEBUG]: Setting hashed password for ['root']:

root@cloud-init-bug:~# cat /etc/shadow | grep root
root:$2y$10$E9SZmg3AYO87cBvecAmDOuMB..QF8H6zSxvKTT384OrdaLqae8GHu:17940:0:99999:7:::

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cloud-init (Ubuntu):
status: New → Confirmed
Ryan Harper (raharper) wrote :

Xenial proposed automated testing of lxd, nocloud-kvm and ec2 platforms, 18.5-21-g8ee294d5-0ubuntu1_16.04.1

Ryan Harper (raharper) wrote :

Bionic proposed automated testing of lxd, nocloud-kvm and ec2 platforms, 18.5-21-g8ee294d5-0ubuntu1_18.04.1

Ryan Harper (raharper) wrote :

Cosmic proposed automated testing of lxd, nocloud-kvm and ec2 platforms 18.5-21-g8ee294d5-0ubuntu1_18.10.1

Ryan Harper (raharper) wrote :

EC2 Xenial, Bionic and Cosmic manual test results.

Ryan Harper (raharper) wrote :

Azure Xenial, Bionic and Cosmic Manual Test results

Ryan Harper (raharper) wrote :

OpenStack Xenial, Bionic and Cosmic Manual test results.

Ryan Harper (raharper) wrote :

MAAS QA Bionic test results

Ryan Harper (raharper) wrote :

MAAS QA Xenial Test Results

description: updated
Ryan Harper (raharper) wrote :

GCE Xenial, Bionic and Cosmic Manual test results.

Ryan Harper (raharper) on 2019-03-06
description: updated
tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package cloud-init - 18.5-21-g8ee294d5-0ubuntu1~18.10.1

---------------
cloud-init (18.5-21-g8ee294d5-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot. (LP: #1813346)
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

cloud-init (18.5-17-gd1a2fe73-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a
      delta
    - tox: fix disco httpretty dependencies for py37
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package
      [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers]
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions]
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.
    - ds-identify: fix wrong variable name in ovf_vmware_transport_guestinfo.
    - Scaleway: Support ssh keys provided inside an instance tag. [PORTE Loïc]
    - OVF: simplify expected return values of transport functions.
    - Vmware: Add support for the com.vmware.guestInfo OVF transport.
    - HACKING.rst: change contact info to Josh Powers
    - Update to pylint 2.2.2.
    - Release 18.5
    - tests: add Disco release [Joshua Powers]
    - net: render 'metric' values in per-subnet routes
    - write_files: add support for appending to files. [James Baxter]
    - config: On ubuntu select cloud archive mirrors for armel, armhf, arm64.
    - dhclient-hook: cleanups, tests and fix a bug on 'down' event.
    - NoCloud: Allow top level 'network' key in network-config.
    - ovf: Fix ovf network config generation gateway/routes
    - azure: detect vnet migration via netlink media change event
      [Tamilmani Manoharan]
    - Azure: fix copy/paste error in error handling when reading azure ovf.
      [Adam DePue]
    - tests: fix incorrect order of mocks in test_handle_zfs_root.
    - doc: Change dns_nameserver property to dns_nameservers. [Tomer Cohen]
    - OVF: identify label iso9660 filesystems with label 'OVF ENV'.
    - logs: collect-logs ignore instance-data-sensitive.json on non-root user
    - net: Ephemeral*Network: add connectivity check via URL
    - azure: _poll_imds only retry on 404. Fail on Timeout
    - resizefs: Prefix discovered devpath with '/dev/' when path does not
      exist [Igor Galić]
    - azure: retry imds polling on requests.Timeout
    - azure: Accept variation in error msg from mount for ntfs volum...

Read more...

Changed in cloud-init (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (4.6 KiB)

This bug was fixed in the package cloud-init - 18.5-21-g8ee294d5-0ubuntu1~18.04.1

---------------
cloud-init (18.5-21-g8ee294d5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1813346)
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

cloud-init (18.5-17-gd1a2fe73-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a delta
    - tox: fix disco httpretty dependencies for py37
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers]
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions]
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.
    - ds-identify: fix wrong variable name in ovf_vmware_transport_guestinfo.
    - Scaleway: Support ssh keys provided inside an instance tag. [PORTE Loïc]
    - OVF: simplify expected return values of transport functions.
    - Vmware: Add support for the com.vmware.guestInfo OVF transport.
    - HACKING.rst: change contact info to Josh Powers
    - Update to pylint 2.2.2.
    - Release 18.5
    - tests: add Disco release [Joshua Powers]
    - net: render 'metric' values in per-subnet routes
    - write_files: add support for appending to files. [James Baxter]
    - config: On ubuntu select cloud archive mirrors for armel, armhf, arm64.
    - dhclient-hook: cleanups, tests and fix a bug on 'down' event.
    - NoCloud: Allow top level 'network' key in network-config.
    - ovf: Fix ovf network config generation gateway/routes
    - azure: detect vnet migration via netlink media change event
      [Tamilmani Manoharan]
    - Azure: fix copy/paste error in error handling when reading azure ovf.
      [Adam DePue]
    - tests: fix incorrect order of mocks in test_handle_zfs_root.
    - doc: Change dns_nameserver property to dns_nameservers. [Tomer Cohen]
    - OVF: identify label iso9660 filesystems with label 'OVF ENV'.
    - logs: collect-logs ignore instance-data-sensitive.json on non-root user
    - net: Ephemeral*Network: add connectivity check via URL
    - azure: _poll_imds only retry on 404. Fail on Timeout
    - resizefs: Prefix discovered devpath with '/dev/' when path does not
      exist [Igor Galić]
    - azure: retry imds polling on requests.Timeout
    - azure: Accept variation in error msg from mount for ntfs volumes
      [Ja...

Read more...

Changed in cloud-init (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package cloud-init - 18.5-21-g8ee294d5-0ubuntu1~16.04.1

---------------
cloud-init (18.5-21-g8ee294d5-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1813346)
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

cloud-init (18.5-17-gd1a2fe73-0ubuntu1~16.04.1) xenial; urgency=medium

  * drop the following cherry-picks now included:
    + cpick-1d5e9aef-azure-Add-apply_network_config-option-to-disable
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a delta
    - tox: fix disco httpretty dependencies for py37
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers]
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions]
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.
    - ds-identify: fix wrong variable name in ovf_vmware_transport_guestinfo.
    - Scaleway: Support ssh keys provided inside an instance tag. [PORTE Loïc]
    - OVF: simplify expected return values of transport functions.
    - Vmware: Add support for the com.vmware.guestInfo OVF transport.
    - HACKING.rst: change contact info to Josh Powers
    - Update to pylint 2.2.2.
    - Release 18.5
    - tests: add Disco release [Joshua Powers]
    - net: render 'metric' values in per-subnet routes
    - write_files: add support for appending to files. [James Baxter]
    - config: On ubuntu select cloud archive mirrors for armel, armhf, arm64.
    - dhclient-hook: cleanups, tests and fix a bug on 'down' event.
    - NoCloud: Allow top level 'network' key in network-config.
    - ovf: Fix ovf network config generation gateway/routes
    - azure: detect vnet migration via netlink media change event
      [Tamilmani Manoharan]
    - Azure: fix copy/paste error in error handling when reading azure ovf.
      [Adam DePue]
    - tests: fix incorrect order of mocks in test_handle_zfs_root.
    - doc: Change dns_nameserver property to dns_nameservers. [Tomer Cohen]
    - OVF: identify label iso9660 filesystems with label 'OVF ENV'.
    - logs: collect-logs ignore instance-data-sensitive.json on non-root user
    - net: Ephemeral*...

Read more...

Changed in cloud-init (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in cloud-init (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers